USE master;
GO
IF DATABASEPROPERTYEX ('sheep', 'Version') > 0
	DROP DATABASE sheep;
GO

CREATE DATABASE sheep;
GO

USE sheep;
GO

ALTER DATABASE sheep SET RECOVERY SIMPLE;
GO

CREATE TABLE t1 (
	c1 INT IDENTITY,
	c2 CHAR (1000) DEFAULT 'a');
	
CREATE CLUSTERED INDEX t1_cl ON t1 (c1);
GO

SET NOCOUNT ON;
GO
INSERT INTO t1 DEFAULT VALUES;
GO 1000
SELECT COUNT (*) FROM t1;
GO

BEGIN TRAN
GO
TRUNCATE TABLE t1;
GO

SELECT COUNT (*) FROM t1;
GO

ROLLBACK TRAN;
GO
SELECT COUNT (*) FROM t1;
GO